Subject: Re: Proposed changes to mdns-05

From: Erik Guttman <[email-masked]>
Date: Mon, 8 Oct 2001 14:22:02 +0200 (MET DST)

Bernard, 

I include comments on discussion items.

> ---------------------------------------------------------------
> Section 3:
> 
> Submitted by: Levon Esibov
> Justification: Prohibiting DNS servers from listening to or
> responding to mDNS queries seems a bit extreme. Why can't DNS
> servers listen to and respond to queries for their own name?
> 
> Change:
> 
> "If a DNS server is running on a host, the host MUST NOT listen for
> multicast DNS queries, to prevent the host from listening on port 53
> and intercepting DNS queries directed to a DNS server. 
> By default, a DNS server MUST NOT listen to multicast DNS queries."
> 
> To:
> 
> "If a DNS server is running on a host, only the DNS server MAY listen for
> multicast DNS queries. Other services running on such a host MUST NOT listen
> for multicast DNS queries on port 53, since otherwise they would intercept
> DNS queries directed to a DNS server."
> 
> Proposed resolution: Discuss

What should the DNS server do with the requests it receives?
Should the DNS server only respond to multicast requests for
its own name - or should it respond to multicast requests for
any name.  Or, should we just be silent about this?  If the
DNS server responds for names other than its own, there is 
the possibility that another host will respond with a different
answer.

> ---------------------------------------------------------------
> Section 5.1:
> 
> Submitted by: Levon Esibov
> Justification: name conflicts will only exist in situations where
> hosts use a name on an interface. If the name is not used, then
> conflicts will not occur. 
> 
> Change:
> 
> "In this situation, the multi-homed myhost will probe for, and defend,
> its host name on both interfaces. A conflict will be detected on one
> interface, but not the other, and as a result, the multi-homed myhost
> will not be able to respond with a host RR for "myhost."
> 
> To:
> 
> "In this situation, the multi-homed myhost will probe for, and defend,
> its host name on both interfaces. A conflict will be detected on one
> interface, but not the other, and as a result, the multi-homed myhost
> will not be able to respond with a host RR for 'myhost', unless the
> host is configured to use the 'myhost' name only on the left (see
> Figure 1) network connection."
> 
> Proposed resolution: Discuss

By limiting the scope of the problem, it can be solved.  I like
this.  The wording is pretty awkward though.  How about:

  In this situation, the multi-homed myhost will probe for, and defend,
  its host name on both interfaces. A conflict will be detected on one
  interface, but not the other.  The multi-homed myhost will not be able 
  to respond with a host RR for 'myhost' on the interface on the right 
  (see Figure 1).  The multi-homed host may, however, be configured to 
  use the 'myhost' name on the interface on left.
 
> ---------------------------------------------------------------
> 
> Section 7:
> 
> Submitted by: Levon Esibov
> Justification: Recursive resolution of mDNS queries shouldn't
> be allowable. Rather than replying with non-authoritative NXDOMAIN,
> it makes more sense for a DNS server not to reply at all. 
> To:
>     - DNS servers SHOULD NOT forward or recursively resolve 
>       queries for domain names in the local.arpa domain - if the 
>       server cannot answer  the query from its own database, 
>       it MUST NOT reply.

Excellent.

Erik

to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.